# SFApproveTokens

### Description

Approve tokens through Summer.fi proxy

> **Notes**
>
> User wallet that calls this action needs to be permitted by Summer.fi proxy through AccountGuard

### Action ID

`0x869398d6`

### SDK Action

```ts
const sFApproveTokensAction = new dfs.actions.summerfi.SFApproveTokensAction(
    sfProxy,
    spender,
    tokens,
    allowances
);

```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param sfProxy  Summer.fi proxy address
    /// @param spender  User's wallet  address
    /// @param tokens  List of assets to approve
    /// @param allowances  Approve amounts
    struct Params {
        address sfProxy;
        address spender;
        address[] tokens;
        uint256[] allowances;
    }
```

### Return Value

```solidity
return bytes32(0);
```

### Events and Logs

```solidity
emit ActionEvent("SFApproveTokens", logData);
logger.logActionDirectEvent("SFApproveTokens", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/summer.fi/sfapprovetokens.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
